Bug#802811: libqt5x11extras5: causes konsole to segfault in libX11 on startup

2015-10-23 Thread Nicolas Noirbent
Package: libqt5x11extras5
Version: 5.5.1-2
Severity: grave
Justification: renders package unusable

Dear Maintainer,

After upgrading to the unstable version of libqt5x11extras5, I
encounter segfaults when starting konsole:

kernel: [12347.664891] konsole[29202]: segfault at 968 ip 7ffa708ddfe3 sp 
7ffd859067f0 error 4 in libX11.so.6.3.0[7ffa708b+13c000]

Downgrading to the testing version no longer triggers the issue. I've
encountered similar issues on another machine for other packages,
e.g. sddm failing to start.

I'd send a backtrace as well but drkonqi also fails to start up with
the message

Could not find drkonqi at /usr/lib/x86_64-linux-gnu/libexec/drkonqi

Which is probably an other, unrelated issue. I tried running konsole
under gdb but it gave me nothing, since (I assume) KDE tried to run
drkonqi to gracefull handle the segfault. Any suggestion on how to
remedy this so I can at least provide you with a backtrace ?

Regards,

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 
'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages libqt5x11extras5:amd64 depends on:
ii  libc6 2.19-22
ii  libqt5core5a  5.4.2+dfsg-5
ii  libqt5gui55.4.2+dfsg-9

libqt5x11extras5:amd64 recommends no packages.

libqt5x11extras5:amd64 suggests no packages.

-- no debconf information



Bug#791888: lvm2: segfaults when activating LVs other than /

2015-07-11 Thread Nicolas Noirbent
On Saturday 11 July 2015 17:27:15 Bastian Blank wrote:
 On Thu, Jul 09, 2015 at 11:41:48AM +0200, Nicolas Noirbent wrote:
  After upgrading to the latest version of libdevmapper1.02.1 from
  unstable, I found myself unable to mount my /home logical volume due
 
  to a segfault in libdevmapper.so.1.02.1:
 Please provide the output of pvs, vgs and lvs.

Here you go:

# pvs
  PV VG   Fmt  Attr PSize   PFree 
  /dev/md1   vg_raid5 lvm2 a--  930.57g 10.00g
  /dev/sde4  vg_raid5 lvm2 a--  183.97g  2.99g
# vgs
lvs   VG   #PV #LV #SN Attr   VSize VFree 
  vg_raid5   2   3   0 wz--n- 1.09t 12.99g
# lvs -a
  LV VG   Attr   LSize   Pool   Origin   Data%  
Meta%  Move Log Cpy%Sync Convert
  home   vg_raid5 Cwi-aoC--- 920.57g home_cache [home_corig]

  home_cache vg_raid5 Cwi---C--- 170.00g

  [home_cache_cdata] vg_raid5 Cwi-ao 170.00g

  [home_cache_cmeta] vg_raid5 ewi-ao 500.00m

  [home_corig]   vg_raid5 owi-aoC--- 920.57g

  [lvol0_pmspare]vg_raid5 ewi--- 500.00m

  system vg_raid5 -wi-ao  10.00g

As you see the failing LV is a cached one, if it matters in any way.

Cheers,

-- 
Nicolas Noirbent
nico...@noirbent.fr


-- 
To UNSUBSCRIBE, email to debian-bugs-rc-requ...@lists.debian.org
with a subject of unsubscribe. Trouble? Contact listmas...@lists.debian.org



Bug#970901: black: cannot run, "ModuleNotFoundError: No module named '_black_version'"

2020-09-25 Thread Nicolas Noirbent
Package: black
Version: 20.8b1-1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

The new black package version 20.8b1-1 seems to be missing some files:

% black
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/black/__init__.py", line 63, in 
from black._black_version import version as __version__
ModuleNotFoundError: No module named 'black._black_version'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/black", line 33, in 
sys.exit(load_entry_point('black==20.8b1', 'console_scripts', 'black')())
  File "/usr/bin/black", line 25, in importlib_load_entry_point
return next(matches).load()
  File "/usr/lib/python3.8/importlib/metadata.py", line 77, in load
module = import_module(match.group('module'))
  File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
  File "", line 1014, in _gcd_import
  File "", line 991, in _find_and_load
  File "", line 975, in _find_and_load_unlocked
  File "", line 671, in _load_unlocked
  File "", line 783, in exec_module
  File "", line 219, in _call_with_frames_removed
  File "/usr/lib/python3/dist-packages/black/__init__.py", line 65, in 
from _black_version import version as __version__
ModuleNotFoundError: No module named '_black_version'

Looking at the source, _black_version.py appears to be generated by the 
setup.py:
https://github.com/psf/black/blob/master/setup.py#L50-L53

Regards,


-- System Information:
Debian Release: bullseye/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (101, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.8.0-2-amd64 (SMP w/8 CPU threads)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8), LANGUAGE=en_US
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages black depends on:
ii  python33.8.2-3
ii  python3-appdirs1.4.4-1
ii  python3-click  7.1.2-1
ii  python3-mypy-extensions0.4.3-1
ii  python3-pathspec   0.8.0-1
ii  python3-pkg-resources  49.3.1-2
ii  python3-regex  0.1.20200714-1
ii  python3-toml   0.10.1-1
ii  python3-typed-ast  1.4.1-1+b1
ii  python3-typing-extensions  3.7.4.2-1

black recommends no packages.

Versions of packages black suggests:
pn  python-black-doc  

-- no debconf information